Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Class ModelAdapter

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.event.ModelAdapter

All Implemented Interfaces:
  edu.stanford.smi.protege.event.KnowledgeBaseListener, ModelListener, ProtegeKnowledgeBaseListener, EventListener

    public class ModelAdapter

extends Object
implements ModelListener

Author:
  Holger Knublauch

Constructor Summary
`ModelAdapter()`

Method Summary
`void` | `classCreated(RDFSClass cls)` Called after a new RDFSClass has been created.
`void` | `classCreated(RDFSClass cls, edu.stanford.smi.protege.event.KnowledgeBaseEvent event)`
`void` | `classDeleted(RDFSClass cls)` Called after an RDFSClass has been deleted.
`void` | `classDeleted(RDFSClass cls, edu.stanford.smi.protege.event.KnowledgeBaseEvent event)`
`void` | `clsCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `clsDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `defaultClsMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `defaultFacetMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `defaultSlotMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `facetCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `facetDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `frameNameChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `individualCreated(RDFResource resource)` Called after an individual has been created.
`void` | `individualCreated(RDFResource resource, edu.stanford.smi.protege.event.KnowledgeBaseEvent event)`
`void` | `individualDeleted(RDFResource resource)` Called after an individual has been deleted.
`void` | `individualDeleted(RDFResource resource, edu.stanford.smi.protege.event.KnowledgeBaseEvent event)`
`void` | `instanceCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `instanceDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `propertyCreated(RDFProperty property)` Called after a property has been created.
`void` | `propertyCreated(RDFProperty property, edu.stanford.smi.protege.event.KnowledgeBaseEvent event)`
`void` | `propertyDeleted(RDFProperty property)` Called after a property has been deleted.
`void` | `propertyDeleted(RDFProperty property, edu.stanford.smi.protege.event.KnowledgeBaseEvent event)`
`void` | `resourceNameChanged(RDFResource resource, String oldName)` Deprecated. Use `resourceReplaced(RDFResource, RDFResource, String)`
`void` | `resourceReplaced(RDFResource oldResource, RDFResource newResource, String oldName)`
`void` | `slotCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `slotDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelAdapter

    public ModelAdapter()

Method Detail

### classCreated

    public void classCreated(RDFSClass cls,
                             edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

### classCreated

    public void classCreated(RDFSClass cls)

  Description copied from interface: `ModelListener`
  Called after a new RDFSClass has been created.

  Specified by:
    `classCreated` in interface `ModelListener`
  Parameters:
    `cls` - the new class

### classDeleted

    public void classDeleted(RDFSClass cls,
                             edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

### classDeleted

    public void classDeleted(RDFSClass cls)

  Description copied from interface: `ModelListener`
  Called after an RDFSClass has been deleted.

  Specified by:
    `classDeleted` in interface `ModelListener`
  Parameters:
    `cls` - the deleted class

### propertyCreated

    public void propertyCreated(RDFProperty property,
                                edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

### propertyCreated

    public void propertyCreated(RDFProperty property)

  Description copied from interface: `ModelListener`
  Called after a property has been created.

  Specified by:
    `propertyCreated` in interface `ModelListener`
  Parameters:
    `property` - the new property

### propertyDeleted

    public void propertyDeleted(RDFProperty property,
                                edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

### propertyDeleted

    public void propertyDeleted(RDFProperty property)

  Description copied from interface: `ModelListener`
  Called after a property has been deleted.

  Specified by:
    `propertyDeleted` in interface `ModelListener`
  Parameters:
    `property` - the old property

### individualCreated

    public void individualCreated(RDFResource resource,
                                  edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

### individualCreated

    public void individualCreated(RDFResource resource)

  Description copied from interface: `ModelListener`
  Called after an individual has been created.

  Specified by:
    `individualCreated` in interface `ModelListener`
  Parameters:
    `resource` - the new resource

### individualDeleted

    public void individualDeleted(RDFResource resource,
                                  edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

### individualDeleted

    public void individualDeleted(RDFResource resource)

  Description copied from interface: `ModelListener`
  Called after an individual has been deleted.

  Specified by:
    `individualDeleted` in interface `ModelListener`
  Parameters:
    `resource` - the old resource

### resourceReplaced

    public void resourceReplaced(RDFResource oldResource,
                                 RDFResource newResource,
                                 String oldName)

### resourceNameChanged

    public void resourceNameChanged(RDFResource resource,
                                    String oldName)

  Deprecated. Use `resourceReplaced(RDFResource, RDFResource, String)`

  Description copied from interface: `ModelListener`
  Called after the name of a resource has changed.

  Specified by:
    `resourceNameChanged` in interface `ModelListener`
  Parameters:
    `resource` - the resource that changed its name
    `oldName` - the old name of the resource

### clsCreated

    public final void clsCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `clsCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `clsCreated` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.classCreated(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### clsDeleted

    public final void clsDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `clsDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `clsDeleted` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.classDeleted(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### frameNameChanged

    public final void frameNameChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `frameNameChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `frameNameChanged` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.resourceNameChanged(edu.stanford.smi.protegex.owl.model.RDFResource, java.lang.String)`

### instanceCreated

    public final void instanceCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `instanceCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `instanceCreated` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.individualCreated(edu.stanford.smi.protegex.owl.model.RDFResource)`

### instanceDeleted

    public final void instanceDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `instanceDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `instanceDeleted` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.individualDeleted(edu.stanford.smi.protegex.owl.model.RDFResource)`

### slotCreated

    public final void slotCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `slotCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `slotCreated` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.propertyCreated(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### slotDeleted

    public final void slotDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `slotDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `slotDeleted` in interface `ProtegeKnowledgeBaseListener`
  See Also:
    `ModelListener.propertyDeleted(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### defaultClsMetaClsChanged

    public final void defaultClsMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `defaultClsMetaClsChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `defaultClsMetaClsChanged` in interface `ProtegeKnowledgeBaseListener`

### defaultFacetMetaClsChanged

    public final void defaultFacetMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `defaultFacetMetaClsChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `defaultFacetMetaClsChanged` in interface `ProtegeKnowledgeBaseListener`

### defaultSlotMetaClsChanged

    public final void defaultSlotMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `defaultSlotMetaClsChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `defaultSlotMetaClsChanged` in interface `ProtegeKnowledgeBaseListener`

### facetCreated

    public final void facetCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `facetCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `facetCreated` in interface `ProtegeKnowledgeBaseListener`

### facetDeleted

    public final void facetDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `facetDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  Specified by:
    `facetDeleted` in interface `ProtegeKnowledgeBaseListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.